@ECHO OFF
REM
REM Home directory of bicsuite installation tree
REM should be set already
REM BICSUITEHOME=$HOME/sdmshome
REM

REM 
REM Path to bicsuite programs and utilities
REM 
SET PATH=%PATH%;%BICSUITEHOME%\bin

REM 
REM Valid Locale neccessary for jobservers to work correctly
REM (invalid pid errormessages if BIC_LOCALE is invalid)
REM 
SET BIC_LOCALE=en_US

REM 
REM Directory where logfiles are stored
REM 
IF ["%BICSUITELOGDIR%"]==[""] SET BICSUITELOGDIR=%BICSUITEHOME%\log

REM
REM Set HOME environment used to access .sdmshrc
REM
SET HOME=%HOMEDRIVE%%HOMEPATH%

REM
REM Extra options for scrolllog
REM e.g.
REM SET SCROLLLOGOPTS=-s 10 -l 250000
REM which results in 10 segments of 250,000 lines each
REM

SET BICSUITE_BATCH_EXITCODE=0
REM
REM Exit depending on windows version
REM
IF [%WIN_VERSION%]==[WIN_9X] GOTO EXIT_SET_ERRORLEVEL
EXIT /B %BICSUITE_BATCH_EXITCODE% >NUL
:EXIT_SET_ERRORLEVEL
SET ERRORLEVEL=%BICSUITE_BATCH_EXITCODE%
